<?php

	session_start();
	include('conexion.php');	
	$tarjeta = $_GET['tarjeta'];
	$fecha_inicio = $_GET['fecha_inicio'];
	$fecha_fin = $_GET['fecha_fin'];
	
?>

<HTML>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<link rel="shortcut icon" href="images/Sysmental.jpg" type="image/jpeg"/>
	<title>Flotillas</title>
	<link href="css/bootstrap.min.css" rel="stylesheet">
	<script src="//code.jquery.com/jquery-1.10.2.js"></script>
	<script src="//code.jquery.com/ui/1.11.1/jquery-ui.js"></script>
	<!--<script src="//code.jquery.com/ui/1.11.1/jquery-1.11.3.min.js"></script>-->
	<script type="text/javascript" src="//cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
<script type="text/javascript" src="//cdn.jsdelivr.net/momentjs/latest/moment.min.js"></script>
 
<!-- Include Date Range Picker -->
<script type="text/javascript" src="//cdn.jsdelivr.net/bootstrap.daterangepicker/2/daterangepicker.js"></script>
<link rel="stylesheet" type="text/css" href="//cdn.jsdelivr.net/bootstrap.daterangepicker/2/daterangepicker.css" />
<!--alert-->
	<script src = "sweetalert-master/dist/sweetalert.min.js" ></script>  
	<link rel = "stylesheet" type = "text/css" href = "sweetalert-master/dist/sweetalert.css" >
</head>
<body>
<?php
	$sql="select  ";
	$sql.="a.id_tag as tag, "; 
	$sql.="c.descripcion as descripcion, ";
	$sql.="a.placa as placa, ";
	$sql.="a.fecha as fecha, ";
	$sql.="a.odometro as odometro, ";
	$sql.="a.odometro_diferencia/b.volumen as rendimiento, ";
	$sql.="d.nombre as nombre, ";
	$sql.="b.precio as precio, ";
	$sql.="b.volumen as volumen, ";
	$sql.="b.monto as monto ";
	$sql.="from ";
	$sql.="transacciones a, ";
	$sql.="transacciones_detalle b, ";
	$sql.="vehiculos c, ";
	$sql.="productos d ";
	$sql.="where ";
	$sql.="a.id_transaccion=b.id_transaccion and ";
	$sql.="a.id_vehiculo=c.id_vehiculo and ";
	$sql.="b.id_producto=d.id_producto and ";
	$sql.="a.id_cliente = ".$_SESSION['id_cliente']." and ";
	$sql.="a.fecha between '" . $fecha_inicio ."' and '" . $fecha_fin . "' ";
	
	if($tarjeta != 0)
		$sql.="and a.id_tag = ".$tarjeta." ";
	
	$sql.="order by ";
	$sql.="a.id_tag, ";
	$sql.="a.id_transaccion ";
	
	$resultado = $conexion->query($sql); 
								
	if(!$resultado) 
		die("Error: no se pudo realizar la consulta estacion" .$sql);
		
	$número_filas = $resultado->num_rows;
		
	if($número_filas > 0)
	{
		echo '<table>';
		echo '<tr>';
		echo '<th>Tarjeta</th>';		
		echo '<th>Descripcion</th>';		
		echo '<th>Placas</th>';		
		echo '<th>Fecha Hora</th>';		
		echo '<th>Kms</th>';		
		echo '<th>Rendimiento</th>';		
		echo '<th>Producto</th>';		
		echo '<th>Precio</th>';		
		echo '<th>Litros</th>';		
		echo '<th>Importe</th>';		
		echo '</tr>';		
		$tag_anterior = 0;
		$inicio = 0;
		while($fila = $resultado->fetch_assoc()) 
		{
			if($inicio == 0)
			{
				$tag_anterior = $fila['tag'];
				$num_tarjetas = $num_tarjetas + 1;
			}
			if($tag_anterior == $fila['tag'])
			{
				echo '<tr>';
				echo '<td>'.$fila['tag'].'</td>';
				echo '<td>'.$fila['descripcion'].'</td>';
				echo '<td>'.$fila['placa'].'</td>';
				echo '<td>'.$fila['fecha'].'</td>';
				echo '<td>'.$fila['odometro'].'</td>';
				if($fila['rendimiento']>= 0)
					$rendimiento = number_format($fila['rendimiento'],3);
				else
					$rendimiento = '0.000';
				echo '<td>'.$rendimiento.'</td>';
				echo '<td>'.$fila['nombre'].'</td>';
				echo '<td>'.$fila['precio'].'</td>';
				echo '<td>'.$fila['volumen'].'</td>';
				echo '<td>'.$fila['monto'].'</td>';
				echo '</tr>';
				$sub_total_volumen=$sub_total_volumen+$fila["volumen"];
				$sub_total_monto=$sub_total_monto+$fila["monto"];
				
				$total_volumen=$total_volumen+$fila["volumen"];
				$total_monto=$total_monto+$fila["monto"];
			}else{
				$num_tarjetas = $num_tarjetas + 1;
				echo '<tr>';	
				echo '<td colspan="7"> </td>';
				echo '<td>Subtotal</td>';			
				echo '<td>'.number_format($sub_total_volumen,3).'</td>';			
				echo '<td>'.number_format($sub_total_monto,2).'</td>';
				echo '</tr>';
				$sub_total_volumen=0;
				$sub_total_monto=0;
				$tag_anterior = $fila['tag'];
			}			
		}
		$resultado->free();
		echo '<tr>';	
		echo '<td colspan="7"> </td>';
		echo '<td>Subtotal</td>';			
		echo '<td>'.number_format($sub_total_volumen,3).'</td>';			
		echo '<td>'.number_format($sub_total_monto,2).'</td>';
		echo '</tr>';
		echo '<tr>';
		echo '<td> Total tarjetas </td>';
		echo '<td>'.$num_tarjetas.'</td>';
		echo '<td></td>';
		echo '<td>Total registros</td>';
		echo '<td>'.$número_filas.'</td>';
		echo '<td> </td>';
		echo '<td> </td>';
		echo '<td>Total</td>';
		echo '<td>'.number_format($total_volumen,3).'</td>';
		echo '<td>'.number_format($total_monto,3).'</td>';				
		echo '</tr>';	
		echo '</table>';
		
		mysqli_close($conexion);
	}
?>	
	<div align="right">
		<input type="button" id="btnimpresion" onclick="impresion(1)" class="btn btn-default" value="imprimir"/>
	</div>
</body>
</html>